%define phpsource       %{_prefix}/src/php-devel
%{expand:%(cat /usr/src/php-devel/PHP_BUILD||(echo -e "error: failed build dependencies:\n        php-devel >= 430 (4.3.0) is needed by this package." >/dev/stderr;kill -2 $PPID))}

%define rversion 0.2
%define release	1mdk

%define realname Ecasound
%define modname ecasound
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A11_%{modname}.ini


Summary:	%{realname} provides audio recording and processing functions for PHP4
Name:		php-%{modname}
Version:	%{phpversion}_%{rversion}
Release:	%{release}
Group:		System/Servers
URL:		http://pear.php.net/package-info.php?pacid=120
License:	PHP License
Source0:	%{realname}-%{rversion}.tar.bz2
Source1:	%{modname}.ini.bz2
#Requires:	libphp_common%{libversion}
Requires:	php%{libversion}
Requires:	php-cli
BuildRequires:	php%{libversion}-devel
BuildRequires:	libecasound-devel
Requires:	ecasound
BuildRoot:	%{_tmppath}/%{name}-root
Provides: 	ADVXpackage

%description
This extension wraps the Ecasound libraries to provide advanced
audio processing capabilities.

%prep

%setup -q -n %{realname}-%{rversion}

%build

%{phpsource}/buildext %{modname} "%{modname}.c" \
    "-lecasoundc" "-DCOMPILE_DL_ECASOUND -I/usr/include/libecasoundc"


#%{_libdir}/php/build/php-killrpath %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{phpdir}/extensions
install -d %{buildroot}%{_sysconfdir}/php

cat > README.%{modname} << EOF
The %{name} package contains a dynamic shared object (DSO) for PHP. 
EOF

bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/php/%{inifile}
install -m755 %{soname} %{buildroot}%{phpdir}/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS ECASOUND_HOWTO README README.ECASOUND_VERSIONS ecasound.php README.%{modname}
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php/%{inifile}
%{phpdir}/extensions/%{soname}

%changelog
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_0.2-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_0.2-1mdk
- built for php 4.3.3
- misc spec file fixes

* Thu Jun 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_0.2-1mdk
- initial cooker contrib
